Bug 971040 - [abrt] warzone2100-3.1.0-1.fc18: util_format_read_4f: Process /usr/bin/warzone2100 was killed by signal 11 (SIGSEGV)
[abrt] warzone2100-3.1.0-1.fc18: util_format_read_4f: Process /usr/bin/warzon...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:a8a2697ae9bca51864117ed295a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 10:08 EDT by ahs10
Modified: 2013-09-20 07:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 07:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.23 KB, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: core_backtrace (2.57 KB, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: dso_list (6.91 KB, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: environ (1.05 KB, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: maps (26.18 KB, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: open_fds (729 bytes, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: proc_pid_status (785 bytes, text/plain)
2013-06-05 10:08 EDT, ahs10
no flags Details
File: var_log_messages (236 bytes, text/plain)
2013-06-05 10:09 EDT, ahs10
no flags Details
File: xsession_errors (216 bytes, text/plain)
2013-06-05 10:09 EDT, ahs10
no flags Details
File: screencast.ogv (417.21 KB, application/octet-stream)
2013-06-05 10:09 EDT, ahs10
no flags Details

  None (edit)
Description ahs10 2013-06-05 10:08:25 EDT
Description of problem:
I run the game, the window appears, I hear sound.  From the main menu I select SINGLE PLAYER -> NEW CAMPAIGN.  The main menu disappears and what appears to be a loading bar at the bottom appears.  After a second or two, the window closes and the ABRT reports the error.  I have tried running a tutorial as well, but same results.

Version-Release number of selected component:
warzone2100-3.1.0-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        warzone2100
crash_function: util_format_read_4f
executable:     /usr/bin/warzone2100
kernel:         3.6.10-4.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 util_format_read_4f at util/u_format.c:209
 #2 nv50_emit_vtxattr at nv50_vbo.c:146
 #3 nv50_vertex_arrays_validate at nv50_vbo.c:359
 #4 nv50_state_validate at nv50_state_validate.c:394
 #5 nv50_draw_vbo at nv50_vbo.c:745
 #6 cso_draw_vbo at cso_cache/cso_context.c:1406
 #7 st_draw_vbo at ../../src/mesa/state_tracker/st_draw.c:286
 #8 vbo_exec_vtx_flush at ../../src/mesa/vbo/vbo_exec_draw.c:400
 #9 vbo_exec_FlushVertices_internal at ../../src/mesa/vbo/vbo_exec_api.c:555
 #10 vbo_exec_FlushVertices at ../../src/mesa/vbo/vbo_exec_api.c:1164
Comment 1 ahs10 2013-06-05 10:08:28 EDT
Created attachment 757207 [details]
File: backtrace
Comment 2 ahs10 2013-06-05 10:08:32 EDT
Created attachment 757208 [details]
File: cgroup
Comment 3 ahs10 2013-06-05 10:08:35 EDT
Created attachment 757209 [details]
File: core_backtrace
Comment 4 ahs10 2013-06-05 10:08:44 EDT
Created attachment 757210 [details]
File: dso_list
Comment 5 ahs10 2013-06-05 10:08:47 EDT
Created attachment 757211 [details]
File: environ
Comment 6 ahs10 2013-06-05 10:08:49 EDT
Created attachment 757212 [details]
File: limits
Comment 7 ahs10 2013-06-05 10:08:52 EDT
Created attachment 757213 [details]
File: maps
Comment 8 ahs10 2013-06-05 10:08:55 EDT
Created attachment 757214 [details]
File: open_fds
Comment 9 ahs10 2013-06-05 10:08:57 EDT
Created attachment 757215 [details]
File: proc_pid_status
Comment 10 ahs10 2013-06-05 10:09:00 EDT
Created attachment 757216 [details]
File: var_log_messages
Comment 11 ahs10 2013-06-05 10:09:03 EDT
Created attachment 757217 [details]
File: xsession_errors
Comment 12 ahs10 2013-06-05 10:09:10 EDT
Created attachment 757218 [details]
File: screencast.ogv
Comment 13 Jan Synacek 2013-06-06 04:46:40 EDT
This appears to be a problem in nouveau. You could probably work around that by switching your graphics driver.

Switching to nouveau.
Comment 14 Dave Airlie 2013-09-20 07:12:05 EDT
should be fixed in mesa updates already.

if not there is an updated mesa package in koji that might have a fix.

Note You need to log in before you can comment on or make changes to this bug.